Skip to main content
POST
Attach company members

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

pk
string
required

The company ID.

organization_id
string
required

Organization ID or public ID. A numeric value is the organization id. Any other value is the public id and ignores letter case.

Pattern: ^[-a-zA-Z0-9_]+$

Body

Customer IDs to add to this company.

customer_ids
integer[]
required
Required range: x >= 1

Response

200 - application/json

Result of adding customers to a company.

Each requested customer id is counted once, as attached, skipped, or not found.

requested_count
integer
required
attached_count
integer
required
skipped_count
integer
required
skipped_ids
integer[]
required
not_found_count
integer
required
not_found_ids
integer[]
required